org.apache.commons.math3.fraction

## Class BigFractionField.LazyHolder

- java.lang.Object
- - org.apache.commons.math3.fraction.BigFractionField.LazyHolder

Enclosing class:
  BigFractionField

    private static class BigFractionField.LazyHolder
    extends java.lang.Object

Holder for the instance.

We use here the Initialization On Demand Holder Idiom.

### Field Summary

Fields
`private static BigFractionField` `INSTANCE` Cached field instance.

### Constructor Summary

Constructors
`private` `BigFractionField.LazyHolder()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    private static final BigFractionField INSTANCE

Cached field instance.

### Constructor Detail

#### BigFractionField.LazyHolder

    private BigFractionField.LazyHolder()